Validate a poll vote
POST
/cms/poll/{id}/validate
const url = 'https://api.example.com/cms/poll/example/validate';const options = { method: 'POST', headers: { 'API-Key': '<API-Key>', Authorization: 'Bearer <token>', Token: '<Token>', 'Content-Type': 'application/json' }, body: '{"phone_number":"example","code":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.example.com/cms/poll/example/validate \ --header 'API-Key: <API-Key>' \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'Token: <Token>' \ --data '{ "phone_number": "example", "code": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Validation payload
Media typeapplication/json
object
phone_number
required
Phone number for SMS validation
string
code
required
Validation code received via SMS
string
Example generated
{ "phone_number": "example", "code": "example"}Responses
Section titled “Responses”Vote recorded
Media typeapplication/json
Poll
API representation of a poll
object
id
Poll ID
integer format: int64
timestamp
Timestamp
string
question
Question
string
choices
Choices
Array<string>
votes
Votes
integer
slug
Slug
string
category
PollCategory
API representation of a poll category
object
id
Category ID
integer format: int64
name
Name
string
image
Image
string
results
Results
Array<object>
object
value
Number of votes
integer format: int64
percentage
Percentage of total votes
number format: float
message
Message
string
onlyLoggedIn
Only logged in
integer
endDate
End date
string
voted
Voted (only true when voting)
boolean
voted_choice
Voted choice (only valid when voting)
integer
closed
Closed
integer
Example generated
{ "id": 1, "timestamp": "example", "question": "example", "choices": [ "example" ], "votes": 1, "slug": "example", "category": { "id": 1, "name": "example" }, "image": "example", "results": [ { "value": 1, "percentage": 1 } ], "message": "example", "onlyLoggedIn": 1, "endDate": "example", "voted": true, "voted_choice": 1, "closed": 1}